Bug 1653443 - GIMP segfault on startup
Summary: GIMP segfault on startup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 21:33 UTC by todd_lewis
Modified: 2018-12-03 08:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-03 08:07:03 UTC


Attachments (Terms of Use)

Description todd_lewis 2018-11-26 21:33:42 UTC
Description of problem: GIMP segfaults on startup


Version-Release number of selected component (if applicable):
  Name        : gimp
  Epoch       : 2
  Version     : 2.10.8
  Release     : 5.fc29
  Architecture: x86_64


How reproducible:
  Always

Steps to Reproduce:
1. run "gimp" from the cli, or
2. select gimp from the applications/graphics menu
3. 

Actual results:
  [utoddl@cloister gmap]$ gimp
  gimp: fatal error: Segmentation fault


Expected results:
  Windows open, pixels dance, happiness ensues.

Additional info:
gimp: malloc.c:2385: sysmalloc: Assertion `(old_top == initial_top (av) && old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse (old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.

$ ldd `which gimp`
	linux-vdso.so.1 (0x00007ffe52fd3000)
	libgimpwidgets-2.0.so.0 => /lib64/libgimpwidgets-2.0.so.0 (0x00007fe6e5b88000)
	libgtk-x11-2.0.so.0 => /lib64/libgtk-x11-2.0.so.0 (0x00007fe6e56f0000)
	libgdk-x11-2.0.so.0 => /lib64/libgdk-x11-2.0.so.0 (0x00007fe6e5628000)
	libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007fe6e55f8000)
	libgimpconfig-2.0.so.0 => /lib64/libgimpconfig-2.0.so.0 (0x00007fe6e55d8000)
	libgimpmath-2.0.so.0 => /lib64/libgimpmath-2.0.so.0 (0x00007fe6e55c8000)
	libgimpthumb-2.0.so.0 => /lib64/libgimpthumb-2.0.so.0 (0x00007fe6e55b8000)
	libgimpcolor-2.0.so.0 => /lib64/libgimpcolor-2.0.so.0 (0x00007fe6e5598000)
	libgimpmodule-2.0.so.0 => /lib64/libgimpmodule-2.0.so.0 (0x00007fe6e5590000)
	libgimpbase-2.0.so.0 => /lib64/libgimpbase-2.0.so.0 (0x00007fe6e5558000)
	libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007fe6e5528000)
	libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007fe6e5510000)
	libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007fe6e54f0000)
	libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007fe6e54a0000)
	libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007fe6e5458000)
	libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007fe6e5398000)
	libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007fe6e52e0000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x00007fe6e51b8000)
	libgegl-0.4.so.0 => /lib64/libgegl-0.4.so.0 (0x00007fe6e50f8000)
	libgegl-npd-0.4.so => /lib64/libgegl-npd-0.4.so (0x00007fe6e50e8000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007fe6e50e0000)
	libjson-glib-1.0.so.0 => /lib64/libjson-glib-1.0.so.0 (0x00007fe6e4eb8000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007fe6e4d10000)
	libbabl-0.1.so.0 => /lib64/libbabl-0.1.so.0 (0x00007fe6e4c30000)
	liblcms2.so.2 => /lib64/liblcms2.so.2 (0x00007fe6e4bd0000)
	libgexiv2.so.2 => /lib64/libgexiv2.so.2 (0x00007fe6e4ba8000)
	libz.so.1 => /lib64/libz.so.1 (0x00007fe6e4b88000)
	libmypaint-1.3.so.0 => /lib64/libmypaint-1.3.so.0 (0x00007fe6e4b70000)
	libjson-c.so.4 => /lib64/libjson-c.so.4 (0x00007fe6e4b58000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007fe6e4b00000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fe6e49e0000)
	libunwind.so.8 => /lib64/libunwind.so.8 (0x00007fe6e49c0000)
	libm.so.6 => /lib64/libm.so.6 (0x00007fe6e4838000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007fe6e4830000)
	libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007fe6e47a8000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe6e4780000)
	libc.so.6 => /lib64/libc.so.6 (0x00007fe6e45b8000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007fe6e4470000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007fe6e4460000)
	libXrender.so.1 => /lib64/libXrender.so.1 (0x00007fe6e4450000)
	libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007fe6e4448000)
	libXi.so.6 => /lib64/libXi.so.6 (0x00007fe6e4430000)
	libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007fe6e4420000)
	libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007fe6e4410000)
	libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007fe6e4408000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007fe6e4400000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007fe6e43e8000)
	libpng16.so.16 => /lib64/libpng16.so.16 (0x00007fe6e43b0000)
	libthai.so.0 => /lib64/libthai.so.0 (0x00007fe6e43a0000)
	libfribidi.so.0 => /lib64/libfribidi.so.0 (0x00007fe6e4380000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fe6e4340000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fe6e4330000)
	libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fe6e4318000)
	libgraphite2.so.3 => /lib64/libgraphite2.so.3 (0x00007fe6e42e8000)
	libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007fe6e4240000)
	libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007fe6e4238000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007fe6e4208000)
	libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007fe6e41f8000)
	librt.so.1 => /lib64/librt.so.1 (0x00007fe6e41e8000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fe6e41e0000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fe6e4168000)
	libffi.so.6 => /lib64/libffi.so.6 (0x00007fe6e4158000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fe6e4128000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fe6e4108000)
	libmount.so.1 => /lib64/libmount.so.1 (0x00007fe6e40a8000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fe6e63c8000)
	libexiv2.so.26 => /lib64/libexiv2.so.26 (0x00007fe6e3d50000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fe6e3bb8000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fe6e3b98000)
	libdatrie.so.1 => /lib64/libdatrie.so.1 (0x00007fe6e3b88000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007fe6e3b80000)
	libpcre2-8.so.0 => /lib64/libpcre2-8.so.0 (0x00007fe6e3af8000)
	libblkid.so.1 => /lib64/libblkid.so.1 (0x00007fe6e3aa0000)

Comment 1 todd_lewis 2018-12-02 00:54:00 UTC
Finally found this file on the system:

-rwxr-xr-x. 1 root root 11096 Aug 7 2013 /usr/lib64/babl-0.1/sse-fixups.so

from 2013 that was not owned by any installed package. Evidently this is left over from some much earlier GIMP installation.

GIMP now starts after renaming this file as
sse-fixups.so-NOPE

This may be the solution, though I'm concerned about what else may be left from prior installations of GIMP that could cause problems. (This system has been around a long time.)

I'm content to close this issue if that seems appropriate to you folks. Thanks a bunch; sorry about the wild goose chase.


Note You need to log in before you can comment on or make changes to this bug.